---------------------------------------------
-- English localization for RecipeInfo
---------------------------------------------
-- translated by Adalan@Aruntas


local localization_strings = {
	-- options checkboxes
	IRK_EXCLUDE_COMPARE_NAME = "Compare also my recipes",
	IRK_EXCLUDE_COMPARE_TEXT = "This option put all my known recipes into a compare-pool.\nIf its disabled, then all known recipes of the others playerchars are still getting examined, as long they got this option enabled to share their recipe knowledge",
	
	--Text for recipe/searchpool actions
	IRK_MISC_RECIPES_ADDED_TO_SEARCHPOOL = " recipe(s) added to comparepool",
	IRK_MISC_RECIPES_REMOVED_FROM_SEARCHPOOL = " recipe(s) removed from comparepool",
	
	--Text for recipe tooltip
	IRK_MISC_TOOLTIP_RECIPE_CHARS = "Recipe is known by:",	

	--Text for announcements
	IRK_MISC_ADDON_BLACKLISTED = "RecipeInfo is not running, because one of my addons is already showing recipes on tooltip.",	
}

for stringId, stringValue in pairs(localization_strings) do
   ZO_CreateStringId(stringId, stringValue)
   SafeAddVersion(stringId, 1)
end