--[[
Created by: Adalan@Aruntas
Support, Fixes, Improvements by:


--]]

-- Create RecipeInfo Addon-SettingsMenu
function RecipeInfo:CreateSettingsMenu()
	local LAM = LibStub:GetLibrary("LibAddonMenu-2.0")
	--Register the Options panel with LAM
	local panelData = 
	{
    	type = "panel",
     	name = "RecipeInfo",
		author = "Adalan",
		version = RecipeInfo.version,
	}
	LAM:RegisterAddonPanel("RecipeInfoSettings", panelData)

	--Set the actual panel data
	local optionsData = {
    	[1] = {
          type = "checkbox",
          name = GetString(IRK_EXCLUDE_COMPARE_NAME),
          tooltip = GetString(IRK_EXCLUDE_COMPARE_TEXT),
          getFunc = function() return RecipeInfo.SavedVarsSettings.compareMyRecipes end,
          setFunc = function(value) RecipeInfo.SavedVarsSettings.compareMyRecipes = value RecipeInfo:SaveRemoveKnownRecipes() end,
          width = "full",
    	},
	}
	LAM:RegisterOptionControls("RecipeInfoSettings", optionsData)
end